Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
Class Shell

A simple shell for invoking commands from a command-line.

version:
  $Id: Shell.groovy 8432 2007-10-07 08:55:37Z user57 $

author:
  Jason Dillon

Field Summary
`IO` | `io`
`Logger` | `log`
`CommandRegistry` | `registry`

Constructor Summary
`Shell(IO io)`
`Shell()`

Method Summary
`Object` | `execute(String line)`
`Command` | `findCommand(String line)`
`boolean` | `isExecutable(String line)`
`def` | `leftShift(String line)`
`def` | `leftShift(Command command)`
`List` | `parseLine(String line)`
`Command` | `register(Command command)`

Constructor Detail

### Shell

    public Shell(IO io)

### Shell

    public Shell()

Method Detail

### execute

    Object execute(String line)

### findCommand

    Command findCommand(String line)

### isExecutable

    boolean isExecutable(String line)

### leftShift

    public def leftShift(String line)

### leftShift

    public def leftShift(Command command)

### parseLine

    List parseLine(String line)

### register

    Command register(Command command)